import Request from '@/utils/request/request-util';

/**
 * low_code -报表api
 *
 */
export class ReportApi {
  /**
   * 添加
   * @param {*} params
   * @returns
   */
  static add(params) {
    return Request.post('/report/add', params);
  }
  /**
   * 编辑
   * @param {*} params
   * @returns
   */
  static edit(params) {
    return Request.post('/report/edit', params);
  }
  /**
   * 删除单个
   * @param {*} params
   * @returns
   */
  static delete(params) {
    return Request.post('/report/delete', params);
  }

  /**
   * 批量删除
   * @param {*} params
   * @returns
   */
  static batchDelete(params) {
    return Request.post('/report/batchDelete', params);
  }
  /**
   * 详情
   * @param {*} params
   * @returns
   */
  static detail(params) {
    return Request.getAndLoadData('/report/detail', params);
  }
  /**
   * 列表
   * @param {*} params
   * @returns
   */
  static list(params) {
    return Request.getAndLoadData('/report/list', params);
  }

  /**
   * 分页列表
   * @param {*} params
   * @returns
   */
  static page(params) {
    return Request.getAndLoadData('/report/page', params);
  }
}
